You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@tinkerpop.apache.org by dk...@apache.org on 2016/06/16 19:47:49 UTC

[1/3] tinkerpop git commit: Log `mvn clean install` install into file and show the last 100 lines in case of an error.

Repository: tinkerpop
Updated Branches:
  refs/heads/master 74127ca38 -> 668bee371


Log `mvn clean install` install into file and show the last 100 lines in case of an error.


Project: http://git-wip-us.apache.org/repos/asf/tinkerpop/repo
Commit: http://git-wip-us.apache.org/repos/asf/tinkerpop/commit/6edca751
Tree: http://git-wip-us.apache.org/repos/asf/tinkerpop/tree/6edca751
Diff: http://git-wip-us.apache.org/repos/asf/tinkerpop/diff/6edca751

Branch: refs/heads/master
Commit: 6edca75100f152b62a79cd1df8fbe20328d9f911
Parents: 84f2d63
Author: Daniel Kuppitz <da...@hotmail.com>
Authored: Thu Jun 16 20:23:20 2016 +0200
Committer: Daniel Kuppitz <da...@hotmail.com>
Committed: Thu Jun 16 20:23:20 2016 +0200

----------------------------------------------------------------------
 bin/validate-distribution.sh | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/tinkerpop/blob/6edca751/bin/validate-distribution.sh
----------------------------------------------------------------------
diff --git a/bin/validate-distribution.sh b/bin/validate-distribution.sh
index fc45401..a6fb927 100755
--- a/bin/validate-distribution.sh
+++ b/bin/validate-distribution.sh
@@ -114,8 +114,17 @@ echo "OK"
 
 if [ "${TYPE}" = "SOURCE" ]; then
 cd ${DIR_NAME}
+LOG_DIR="${DIR_NAME}/target/validate-distribution"
+LOG_FILE="mvn-clean-install.log"
 echo -n "* building project ... "
-mvn clean install 2>&1 > /dev/null || { echo "failed"; exit 1; }
+mkdir -p ${LOG_DIR}
+mvn clean install 2>&1 > "${LOG_DIR}/${LOG_FILE}" || {
+  echo "failed"
+  echo
+  tail -n100 target/validate-distribution/mvn-clean-install.log
+  echo -e "\n\e[1mThe full log file can be inspected under ${LOG_DIR}/${LOG_FILE}.\e[0m\n"
+  exit 1
+}
 echo "OK"
 exit 0
 fi


[2/3] tinkerpop git commit: Fixed path to log file for `bin/validate-distribution.sh` and log only errors in `mvn clean install`.

Posted by dk...@apache.org.
Fixed path to log file for `bin/validate-distribution.sh` and log only errors in `mvn clean install`.


Project: http://git-wip-us.apache.org/repos/asf/tinkerpop/repo
Commit: http://git-wip-us.apache.org/repos/asf/tinkerpop/commit/ce0dc48b
Tree: http://git-wip-us.apache.org/repos/asf/tinkerpop/tree/ce0dc48b
Diff: http://git-wip-us.apache.org/repos/asf/tinkerpop/diff/ce0dc48b

Branch: refs/heads/master
Commit: ce0dc48b5f46ce0fa7f106d4619070a339bb9964
Parents: 6edca75
Author: Daniel Kuppitz <da...@hotmail.com>
Authored: Thu Jun 16 21:41:06 2016 +0200
Committer: Daniel Kuppitz <da...@hotmail.com>
Committed: Thu Jun 16 21:41:06 2016 +0200

----------------------------------------------------------------------
 bin/validate-distribution.sh | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/tinkerpop/blob/ce0dc48b/bin/validate-distribution.sh
----------------------------------------------------------------------
diff --git a/bin/validate-distribution.sh b/bin/validate-distribution.sh
index a6fb927..eea1ba1 100755
--- a/bin/validate-distribution.sh
+++ b/bin/validate-distribution.sh
@@ -114,15 +114,13 @@ echo "OK"
 
 if [ "${TYPE}" = "SOURCE" ]; then
 cd ${DIR_NAME}
-LOG_DIR="${DIR_NAME}/target/validate-distribution"
-LOG_FILE="mvn-clean-install.log"
 echo -n "* building project ... "
-mkdir -p ${LOG_DIR}
-mvn clean install 2>&1 > "${LOG_DIR}/${LOG_FILE}" || {
+LOG_FILE="mvn-clean-install.log"
+mvn clean install -q 2>&1 > "${LOG_FILE}" || {
   echo "failed"
   echo
-  tail -n100 target/validate-distribution/mvn-clean-install.log
-  echo -e "\n\e[1mThe full log file can be inspected under ${LOG_DIR}/${LOG_FILE}.\e[0m\n"
+  tail -n50 "${LOG_FILE}"
+  echo -e "\n\e[1mThe full log file can be inspected under `pwd`/${LOG_FILE}.\e[0m\n"
   exit 1
 }
 echo "OK"


[3/3] tinkerpop git commit: Merge branch 'tp31'

Posted by dk...@apache.org.
Merge branch 'tp31'


Project: http://git-wip-us.apache.org/repos/asf/tinkerpop/repo
Commit: http://git-wip-us.apache.org/repos/asf/tinkerpop/commit/668bee37
Tree: http://git-wip-us.apache.org/repos/asf/tinkerpop/tree/668bee37
Diff: http://git-wip-us.apache.org/repos/asf/tinkerpop/diff/668bee37

Branch: refs/heads/master
Commit: 668bee3718fd5de462abf2d7f0ee59ffe4e11e64
Parents: 74127ca ce0dc48
Author: Daniel Kuppitz <da...@hotmail.com>
Authored: Thu Jun 16 21:47:32 2016 +0200
Committer: Daniel Kuppitz <da...@hotmail.com>
Committed: Thu Jun 16 21:47:32 2016 +0200

----------------------------------------------------------------------
 bin/validate-distribution.sh | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)
----------------------------------------------------------------------